/**CFile****************************************************************

  FileName    [mvInit.c]

  PackageName [MVSIS 2.0: Multi-valued logic synthesis system.]

  Synopsis    []

  Author      [MVSIS Group]
  
  Affiliation [UC Berkeley]

  Date        [Ver. 1.0. Started - February 1, 2003.]

  Revision    [$Id: mvInit.c,v 1.19 2003/05/27 23:14:18 alanmi Exp $]

***********************************************************************/

#include "mv.h"
#include "mvInt.h"

////////////////////////////////////////////////////////////////////////
///                        DECLARATIONS                              ///
////////////////////////////////////////////////////////////////////////

extern void Ntki_Init( Mv_Frame_t * pMvsis );
extern void Ntki_End ( Mv_Frame_t * pMvsis );
extern void Simp_Init( Mv_Frame_t * pMvsis );
extern void Simp_End ( Mv_Frame_t * pMvsis );
extern void Pd_Init  ( Mv_Frame_t * pMvsis );
extern void Pd_End   ( Mv_Frame_t * pMvsis );
extern void Cb_Init  ( Mv_Frame_t * pMvsis );
extern void Enc_Init ( Mv_Frame_t * pMvsis );
extern void Enc_End  ( Mv_Frame_t * pMvsis );
extern void Mfs_Init ( Mv_Frame_t * pMvsis );
extern void Mfs_End  ( Mv_Frame_t * pMvsis );

////////////////////////////////////////////////////////////////////////
///                     FUNCTION DEFITIONS                           ///
////////////////////////////////////////////////////////////////////////

/**Function*************************************************************

  Synopsis    [Starts all the packages.]

  Description []
               
  SideEffects []

  SeeAlso     []

***********************************************************************/
void Mv_FrameInit( Mv_Frame_t * pMvsis )
{
    Cmd_Init( pMvsis );
    Io_Init( pMvsis );
    Ntki_Init( pMvsis );
    Simp_Init( pMvsis );
    Pd_Init( pMvsis );
    Cb_Init( pMvsis );
    Enc_Init( pMvsis );
    Mfs_Init( pMvsis );
}


/**Function*************************************************************

  Synopsis    [Stops all the packages.]

  Description []
               
  SideEffects []

  SeeAlso     []

***********************************************************************/
void Mv_FrameEnd( Mv_Frame_t * pMvsis )
{
    Mfs_End( pMvsis );
    Enc_End( pMvsis );
    Pd_End( pMvsis );
    Simp_End( pMvsis );
    Ntki_End( pMvsis );
    Io_End( pMvsis );
    Cmd_End( pMvsis );
}


////////////////////////////////////////////////////////////////////////
///                       END OF FILE                                ///
////////////////////////////////////////////////////////////////////////


